import type { combineFn } from './_types';
/**
 * Combines values from n arrays, with a function.
 * @param xs n arrays
 * @param fn combine function (a, b, c, ...)
 * @param ths this argument
 * @returns combined values
 */
declare function zip<T, U>(xs: T[][], fn?: combineFn, ths?: object): U[];
export default zip;
//# sourceMappingURL=index.d.ts.map